summaryrefslogtreecommitdiff
path: root/script/cibuild.sh
diff options
context:
space:
mode:
authorPhilip Kelley <phkelley@hotmail.com>2014-06-09 11:43:25 -0400
committerTony Kelman <tony@kelman.net>2015-03-16 12:59:55 -0700
commit8f426d7dd26856150950d080fb821044bb2ea811 (patch)
treeae856bda258e5f1ea7b6cee7d1d04f65cc9fbf05 /script/cibuild.sh
parentd675982a15388d8c413acda139b4662062cf3286 (diff)
downloadlibgit2-8f426d7dd26856150950d080fb821044bb2ea811.tar.gz
Win32: Enable WinHTTP for MinGW
Diffstat (limited to 'script/cibuild.sh')
-rwxr-xr-xscript/cibuild.sh18
1 files changed, 13 insertions, 5 deletions
diff --git a/script/cibuild.sh b/script/cibuild.sh
index 8983dcce0..bdc352931 100755
--- a/script/cibuild.sh
+++ b/script/cibuild.sh
@@ -6,17 +6,25 @@ then
exit $?;
fi
+mkdir _build
+cd _build
+# shellcheck disable=SC2086
+cmake .. -DCMAKE_INSTALL_PREFIX=../_install $OPTIONS || exit $?
+make -j2 install || exit $?
+
+# If this platform doesn't support test execution, bail out now
+if [ -n "$SKIP_TESTS" ];
+then
+ exit $?;
+fi
+
# Create a test repo which we can use for the online::push tests
mkdir "$HOME"/_temp
git init --bare "$HOME"/_temp/test.git
git daemon --listen=localhost --export-all --enable=receive-pack --base-path="$HOME"/_temp "$HOME"/_temp 2>/dev/null &
export GITTEST_REMOTE_URL="git://localhost/test.git"
-mkdir _build
-cd _build
-# shellcheck disable=SC2086
-cmake .. -DCMAKE_INSTALL_PREFIX=../_install $OPTIONS || exit $?
-make -j2 install || exit $?
+# Run the test suite
ctest -V . || exit $?
# Now that we've tested the raw git protocol, let's set up ssh to we